/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
public class Person
{
	String name
	String email
	String phoneNumber
	
	public Person(String theName, java.util.HashMap map)
	{
		name = theName
		map.each { key, value ->
			setProperty(key, value)
			}
	}
}

venkat = new Person('Venkat', [email: 'venkats@agiledeveloper.com'])
scott = new Person('Scott', [phoneNumber: '1-000-GRO-OVY', email: 'scott@davisworld.com'])

printInfo = { println "${it.name}\t${it.email}\t${it.phoneNumber}" }

printInfo.call(venkat)
printInfo.call(scott)