/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
def list = []
def insert = list.&add
insert "Java"
insert "Groovy"
println list
//===> ["Java", "Groovy"]


class Person{
  String name
  String getName(){
	"My name is ${name}"
  }
}

def p = new Person()
p.name = "Scott"
println p.name
//===> My name is Scott
println p.@name
//===> Scott

def nombre = p.@name
nombre = "Bubba"
println nombre
println p.name