/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
use(RandomHelper){
  15.times{ println 10.rand() }	
}



class RandomHelper{
  static int rand(Integer self){
    def r = new Random()
    return r.nextInt(self.intValue())	
  }
}

/*
5
2
7
8
7
8
2
3
5
1
7
8
9
8
1
*/

println "=========="



Integer.metaClass.'static'.random = {->
  def r = new Random()
  return r.nextInt(delegate.intValue())	
}

15.times{ println 10.random() }
/*
2
5
5
5
8
7
2
9
1
4
0
9
9
0
8
*/