/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
import org.xml.sax.SAXException

public class ExpectException extends GroovyTestCase
{
	ExpectException _obj

	void someMethod()
	{
		throw new SAXException()
	}

	public void setUp()
	{
		_obj = new ExpectException()
	}

	public void testExpectExceptionUsingTry()
	{

		try
		{
			_obj.someMethod()
			fail("Expected Exception ...")	
		}
		catch(Exception ex)
		{
			assertTrue(true) // Success
		}

	}

	public void testExpectException()
	{

		shouldFail { _obj.someMethod() }



		shouldFail(SAXException.class) { _obj.someMethod() }

	}
}
