/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
def personXml = """
<person id='99'>
  <firstname>Scott</firstname>
  <lastname>Davis</lastname>
</person>	
"""

def personIn = new XmlParser().parseText(personXml)

println ""
personOut = new groovy.xml.MarkupBuilder()
personOut.person(id:99){person ->
	firstname(personIn.firstname.text())
	lastname(personIn.lastname.text())
	address("123 Main Street")
}

println ""
