/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/

def writeMessage(file)
{
	file.write("Hello")
}

writeMessage(new File("output.dat"))



class MockFile
{
  def message

  def write(msg)
  {
	message = msg
  }
}

mockFile = new MockFile()
writeMessage(mockFile)
if (mockFile.message == "Hello")
{
	println "Yep, writeMessage worked"
}
else
{
	println "Nope, writeMessage is broken"
}
// We should use GroovyTestCase for this, but let's not worry about that for now
