/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/

def pickEven(val, doWork)
{
	for(i in (2..val).step(2))
	{
		doWork(i)
	}
}

pickEven(5) { println(it) }



total = 0
pickEven(5) { total += it }
println("Total is " + total)

prod = 1
pickEven(5) { prod *= it }
println("Product is " + prod)
