/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/

def invokeMethod(String name, args)
{
	dice[name] = args[0]
}

def players(String[]... playerList)
{
	dice = new HashMap()
	listOfPlayers = playerList
	all = true
}

def printStatus(allPlayers)
{
  if (allPlayers)
  {
   println "The following is the order of players and dice they rolled"
   
   listOfPlayers.each {
	  println "${it} rolled ${dice[it]}"
    }
  }
  else
  {
	//...	
  }
}



players 'Scott', 'Neal', 'Stu', 'Venkat'

Scott 6
Neal 4
Stu 8
Venkat 12

printStatus all

