/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
class Person{
  String name
  Map relationships = [:]

  Object invokeMethod(String what, Object who){
    if(relationships.containsKey(what)){
      who.each{thisPerson ->
        relationships.get(what).add(thisPerson)		
      }
    }
    else{
      relationships.put(what,who as List) 
    }  
  }
}

/*
def scott = new Person(name:"Scott")
scott.married "Kim"
scott.knows "Neal"
scott.workedWith "Brian"
scott.knows "Venkat"
scott.workedWith "Jared"
scott.knows "Ted", "Ben", "David"

println scott.relationships
//===>["married":["Kim"], "knows":["Neal", "Venkat", "Ted", "Ben", "David"], "workedWith":["Brian", "Jared"]]

*/
def kim = new Person(name:"Kim")
kim.foo "bar"
println kim.relationships
