/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
class Post{
	String url
	String queryString
	String text
	
	String getText(){
		def thisUrl = new URL(url)
		def conn = thisUrl.openConnection()
		conn.setRequestMethod("POST")
		conn.doOutput = true
		Writer writer = new OutputStreamWriter(conn.outputStream)
		writer.write(queryString)
		writer.flush()
		writer.close()
		conn.connect()
		return conn.content.text		
	}
}

def post = new Post(url:"http://localhost:8888/jaw/controller")
post.queryString = "action=saveCar&make=Toyota&model=Prius&modelYear=2012"
println post.text