/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
public class SimpleMocking extends GroovyTestCase
{
	SimpleMocking _obj

	public void setUp()
	{
		_obj = new SimpleMocking()
	}

	public void writeInfo(file)
	{
		//...
		file.write("some info...")
		//...
	}



	public void testWithMock()
	{
		def file = new Expando( msg: "", write: { txt -> msg = txt })

		_obj.writeInfo(file)

		assertEquals("some info...", file.msg)
	}		

}
