/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
def fileIn = new File("addresses.csv")
def fileOut = new FileWriter("addresses.xml")
def xml = new groovy.xml.MarkupBuilder(fileOut)
xml.addressBook{
   fileIn.splitEachLine(","){ tokens ->
      entry(id:tokens[0]){
         name(tokens[1])
         addresss(tokens[2])
 		city(tokens[3])
		state(tokens[4])
		zipcode(tokens[5])
      }
   }
}