/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
def p = """<person id="99">Scott Davis</person>"""

def p2 = """
<person id="99">
  <firstname>Scott</firstname>
  <lastname>Davis</lastname>
  <address type="home">
    <street>123 Main St</street>
    <city>Denver</city>
    <state>CO</state>
    <zip>80020</zip>
  </address>
</person>"""

def p3 = """
<person id="99">
  <firstname>Scott</firstname>
  <lastname>Davis</lastname>
  <address type="home">123 Main St</address>
  <address type="work">987 Other Ave</address>
</person>"""


def p4 = """
<person id="99">
  <firstname>Scott</firstname>
  <lastname>Davis</lastname>
  <address type="home">
    <street>123 Main St</street>
    <city>Denver</city>
    <state>CO</state>
    <zip>80020</zip>
  </address>
  <address type="work">
    <street>987 Other Ave</street>
    <city>Boulder</city>
    <state>CO</state>
    <zip>80090</zip>
  </address>
</person>"""


















/*
println "############ XmlParser"
person = new XmlParser().parseText(p2)
println person
//person[attributes={id=99}; value=[firstname[attributes={}; value=[Scott]], lastname[attributes={}; value=[Davis]], address[attributes={}; value=[123 Main St]]]]
println person.value()
//[firstname[attributes={}; value=[Scott]], lastname[attributes={}; value=[Davis]], address[attributes={}; value=[123 Main St]]]
println person.text()
//(nothing -- no text element in person)
println person.children().class
//class java.util.ArrayList
println person.children()
//[firstname[attributes={}; value=[Scott]], lastname[attributes={}; value=[Davis]], address[attributes={}; value=[123 Main St]]]
println person.children().each{println it}
//firstname[attributes={}; value=[Scott]]
//lastname[attributes={}; value=[Davis]]
//address[attributes={}; value=[123 Main St]]





println "############ XmlSlurper"
person = new XmlSlurper().parseText(p2)
println person
//ScottDavis123 Main St


*/


