/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
def xml1 = """
<person id="99">
  <firstname>Scott</firstname>
  <LastName>Davis</LastName>
</person>
"""


def xml2 = """
<person id="99">
  <first-name>Scott</first-name>
  <last_name>Davis</last_name>
</person>	
"""

def xml3 = """
<p:person 
    xmlns:p="http://somewhere.org/person"
    xmlns:q="http://somewhere.org/q"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://somewhere.org/person http://somewhere.org/person.xsd"
    id="99">
  <p:firstname>Scott</p:firstname>
  <p:last-name>Davis</p:last-name>
  <q:firstname>Foo</q:firstname>
</p:person>	
"""

/*
def x1 = new XmlSlurper().parseText(xml1)
println x1
println x1.firstname
println x1.LastName

def x2 = new XmlSlurper().parseText(xml2)
println x2
println x2.'first-name'
println x2.last_name
*/
def x3 = new XmlSlurper().parseText(xml3)
println x3
println x3.firstname
println x3.'@id'

x3.declareNamespace(p:"http://somewhere.org/person", q:"http://somewhere.org/q")
println x3.'p:firstname'
println x3.'q:firstname'

println x3.'last-name'

