/***
 * Excerpted from "Groovy Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/sdgrvr for more book information.
***/
def xml = new groovy.xml.StreamingMarkupBuilder().bind{
  person(id:99){
    firstname("Scott")
    lastname("Davis")
  }	
}

println xml




def xml2 = new groovy.xml.StreamingMarkupBuilder()

def person1 = {
  person(id:99){
    firstname("Scott")
    lastname("Davis")
  }
}	

println xml2.bind(person1)






def xml3 = new groovy.xml.StreamingMarkupBuilder()

def person2 = {
  person(id:100){
    firstname("Jane")
    lastname("Doe")
  }
}	

def personList = {
	"person-list"{
		out << person1
		unescaped << person2
	}
}

println xml3.bind(personList)


def comment = "<!-- address is optional -->"
def cdata = " >< & Look 'at' me & >< "

def xml4 = new groovy.xml.StreamingMarkupBuilder().bind{
	  mkp.yieldUnescaped(comment)
	  unescaped << comment
	  mkp.yield(comment)
	  out << comment
	
	  unescaped << "<![CDATA[" + cdata + "]]>"
}
println xml4

